Subject: Re: A tool for executing Windows and DOS programs from bash
From: [email-masked] ("Wei Ku")

8 Aug 1997 17:05:51 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "Pete Jordan" <[email-masked]>, <[email-masked]>
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Outlook Express 4.71.1008.3
X-MimeOle: Produced By Microsoft MimeOLE Engine V4.71.1008.3
Original-Sender: [email-masked]

Sound very interesting. Would you please put it on the web or mail a copy to
me ?

I would suggest you not to post it to the mailing list unless it is highly
demanded since there are some people are unhappy to receive a large mail
which is not necessary to them.

Sincerely,
Wei Ku

***************************************
Department of Physics and Astronomy
The University of Tennessee
1408 Circle Drive
Knoxville, Tennessee 37996-1200
[email-masked]
---------------------------------------
Solid State Division
Oak Ridge National Laboratory
P.O.Box 2008
Oak Ridge, TN 37831-6032
Phone: (423) 574-5795
Fax: (423) 574-4143
[email-masked]
***************************************

-----Original Message-----
From: Pete Jordan <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Friday, August 08, 1997 4:52 PM
Subject: A tool for executing Windows and DOS programs from bash

>I've written a little launch program that translates pathnames from
>GNU-Win32 format to Windows format so I can (for example) launch Word from
>bash by typing:
>
> $word foo.doc
>or:
> $word /usr/baz.doc
>
>The way it works is you create a symlink ("word") to my program
>(debash.exe) and add a line in an "/etc/debash" file that maps "word" onto
>the actual location of the target program and describes something of the
>sort of parameters that program requires.
>
>The path portion of each filename parameter is then matched against the
>mount table (with the path defaulting to `pwd`) and appropriate
>substitutions are made before using spawnvp() to launch the target app.
>
>It's a bit of a kludge ATM, but it does what I want so...
>
>If anyone is interested, I can make it available - GPLed of course :)
>
>Pete Jordan
>= = = = = = = = = = = = = = = = = = = = = = =
>Horus Communications
>http://www.horus.cix.co.uk/
>= = = = = = = = = = = = = = = = = = = = = = =
>"Is a polar bear a rectangular bear after
> a coordinate transform?"
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".